<?xml version="1.0" encoding="UTF-8"?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.xemelios.org/namespaces#cg-1.0" targetNamespace="http://www.xemelios.org/namespaces#cg-1.0">
    <xs:include schemaLocation="../TPied.xsd"/>
    <xs:include schemaLocation="TEnteteAffectationResultats.xsd"/>
    <xs:include schemaLocation="TLigneAffectationResultats.xsd"/> 
    
    <xs:complexType name="TPageAffectationResultats">
            <xs:sequence>
                <xs:element name="EnteteAffectationResultats" type="TEnteteAffectationResultats" maxOccurs="1"/>
                <xs:element name="LigneAffectationResultats" type="TLigneAffectationResultats" maxOccurs="1"/>
                <xs:element name="Pied" type="TPied" maxOccurs="1"/>
            </xs:sequence>
            <xs:attribute name="CodeEdition" use="required">
                <xs:simpleType>
                    <xs:restriction base="xs:string">
                        <xs:length value="4"/>                        
                        <xs:enumeration value="CG53">
                            <xs:annotation>
                                <xs:documentation>M22</xs:documentation>
                            </xs:annotation>
                        </xs:enumeration> 
                        <xs:enumeration value="CG56">
                            <xs:annotation>
                                <xs:documentation>M31</xs:documentation>
                            </xs:annotation>
                        </xs:enumeration>
                    </xs:restriction>
                </xs:simpleType>
            </xs:attribute>
            
            <xs:attribute name="Modele" use="required">
                <xs:simpleType>
                    <xs:restriction base="xs:string">
                        <xs:length value="2"/>                        
                        <xs:enumeration value="11">
                            <xs:annotation>
                                <xs:documentation></xs:documentation>
                            </xs:annotation>
                        </xs:enumeration> 
                        <xs:enumeration value="12">
                            <xs:annotation>
                                <xs:documentation></xs:documentation>
                            </xs:annotation>
                        </xs:enumeration>
                        <xs:enumeration value="13">
                            <xs:annotation>
                                <xs:documentation></xs:documentation>
                            </xs:annotation>
                        </xs:enumeration>
                        <xs:enumeration value="25">
                            <xs:annotation>
                                <xs:documentation></xs:documentation>
                            </xs:annotation>
                        </xs:enumeration>
                        <xs:enumeration value="26">
                            <xs:annotation>
                                <xs:documentation></xs:documentation>
                            </xs:annotation>
                        </xs:enumeration>
                        <xs:enumeration value="18">
                            <xs:annotation>
                                <xs:documentation>M31</xs:documentation>
                            </xs:annotation>
                        </xs:enumeration>
                    </xs:restriction>
                </xs:simpleType>
            </xs:attribute>
        </xs:complexType>
</xs:schema>